clear

[x,y,p] = eprload('8DCB185D.SPC');
y = y - linspace(mean(y(1:20)),mean(y(end-20:end)),numel(y)).';

Sys.n = [2 6 3 1 1 4];
Sys.Nucs = '14N,1H,1H,1H,1H,1H';
%Sys.A = [0.710 0.662 0.402 0.331 0.297 0.192]*28;
Sys.g = 2.000976;
Sys.A = [19.8116 18.6294 11.2402 9.3580 8.1256 5.3514]; % 0.0631
Sys.lwpp = 0.0704;

Exp.mwFreq = p.MF;
Exp.Range = [min(x) max(x)]/10;
Exp.ModAmp = 0.05;
Exp.nPoints = numel(x);
[x,ys] = garlic(Sys,Exp);
ys = rescale(ys,y);

plot(x,y,x,ys);

Vary.g = 0.00005;
Vary.A = [1 1 1 1 1 1]*0.01;
Vary.lwpp = 0.01;

FitOpt.Method = 'simplex fcn';
FitOpt.Scaling = 'lsq';
FitOpt.maxGenerations = 1000;
esfit('garlic',y,Sys,Vary,Exp,[],FitOpt);
